<?php

require_once "../../../app/model/db.class.php";
require_once "../../../app/model/rangos.php";

function name($tabla,$cod){
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select * from ".$tabla." where codigo='".$cod."';");
    $result = $obj->fetch_assoc($resultado);
    $obj->disconnect();
    
    return $result['descripcion'];    
    
}

function curso($grad,$cur){
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select * from cursos where grado='".$grad."' and codigo='".$cur."';");
    $result = $obj->fetch_assoc($resultado);
    $obj->disconnect();
    
    return $result['descripcion'].";".$result['sede'].";".$result['jornada'];    
    
}

if ($_POST['accion']=='info_estudiante'){
    
    $codigo=$_REQUEST['codigo'];
    
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select * from matriculas where codigo='".$codigo."' and estado='A';");
    
    $n=$obj->numero_de_filas($resultado);

    if ($n!=0){     
        
        
        $inf2=$obj->consulta("select * from promovidos where alumno='".$codigo."' ;");        
        $n=$obj->numero_de_filas($inf2);
        
        if($n!=0){
            $res="pro;";
            
            $row1 = $obj->fetch_assoc($inf2);
            $res.=$row1['grado'].";";            
            $res.=name('grados',$row1['grado']).";";
            $res.=$row1['curso'].";";
            
            $datos=explode(";",curso($row1['grado'],$row1['curso']));            
            
            $res.=$datos[0].";";
            
            $res.=$datos[1].";";
            
            $res.=name('sedes',$datos[1]).";";           
            
            $res.=$datos[2].";";
            $res.=name('jornadas',$datos[2]).";";           
            
            
            
            
        }else{
            $res="no_pro;";
            
            $row1 = $obj->fetch_assoc($resultado);
            
            $res.=$row1['grado'].";";            
            $res.=name('grados',$row1['grado']).";";
            $res.=$row1['curso'].";";
            
            $datos=explode(";",curso($row1['grado'],$row1['curso']));            
            
            $res.=$datos[0].";";
            
            $res.=$datos[1].";";
            
            $res.=name('sedes',$datos[1]).";";           
            
            $res.=$datos[2].";";
            $res.=name('jornadas',$datos[2]).";";            
            
            
        }
        
        
        $inf=$obj->consulta("select * from alumnos where codigo='".$codigo."' ;");
        $row = $obj->fetch_assoc($inf);
        $res.=$row['p_apellido'].' '.$row['s_apellido'].' '.$row['p_nombre'].' '.$row['s_nombre'];
        
        
        
        
        
    }else{
        $res='no';
    }
    
    echo $res;
//    $obj->disconnect();
    
       
    
    
}



//------------------------------------------------
if ($_POST['accion']=='buscar_notas'){
    
    $codigo=$_REQUEST['codigo'];
    $periodo=$_REQUEST['periodo'];
    $sede=$_REQUEST['sede'];
    $grado=$_REQUEST['grado'];
    $curso=$_REQUEST['curso'];
    
    
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $resultado=$obj->consulta("select * from promovidos where alumno='".$codigo."';");
    
  
    $n=$obj->numero_de_filas($resultado);

    if ($n!=0){
        
        $res= '<table border="0" cellspacing="0" cellpadding="0" class="hovertable" width="100%">
        <tr>
        <th colspan="2"></th>
        <th width="90">CODIGO</th>
        <th>DESCRIPCI&Oacute;N</th>
        <th width="90">I_H</th>
        <th width="90">NOTA</th>
        <th width="90">DESEMPE&Ntilde;O</th>
        </tr>';
        
        
        
        $resultado2=$obj->consulta("select * from curso_asignatura_profesor where grado='".$grado."' and curso='".$curso."' order by orden;");
    
        
        
        while ( $tsArray = $obj->fetch_assoc($resultado) ) 
			$promov[] = $tsArray;
        
        
         while ( $tsArray = $obj->fetch_assoc($resultado2) ) 
			$tasign[] = $tsArray;
         
        $imp=true;    
        
          
            
            
        
        for ($index = 0; $index < count($tasign); $index++) {
            
            for($e=0;$e<count($promov);$e++){
                
                if($tasign[$index]['asignatura']==$promov[$e]['asignatura']){
                    $imp=false;
                    $ind=$e;
                }
            }
            
            
            
          if($imp==false){
              
            $query=$obj->consulta("select * from catalogo where codigo='".$promov[$ind]['asignatura']."' order by orden;");
            $asignatura = $obj->fetch_assoc($query);
            
            $res.=' <tr onmouseover="this.style.backgroundColor=\'#89F2AC\';" onmouseout="this.style.backgroundColor=\'#BBE9EE\';">
            <td align="center" width="50"> <img id="elemento1"  class="confirmar" src="../imagenes/foto1.jpg" onClick="Eliminar('.$promov[$ind]['registro'].')" height="20" width="20" alt="Eliminar" title="Eliminar">  </td>
            <td align="center" width="50"> <img id="elemento2"  class="confirmar" src="../imagenes/editar.jpg" onClick="Editar('.$promov[$ind]['registro'].')" height="20" width="20" alt="Editar" title="Editar">  </td>
           ';

            $res.='<td>'.$asignatura['codigo'].'</td>
            <td>'.$asignatura['descripcion'].'</td>
            <td>'.$promov[$ind]['intensidad'].'</td>
            <td>'.$promov[$ind]['definitiva'].'</td>
            <td>'.$promov[$ind]['valor_asigna'].'</td>
            </tr>';
            $imp=true;
          }else{
              
            $query=$obj->consulta("select * from catalogo where codigo='".$tasign[$index]['asignatura']."' order by orden;");
            $asignatura = $obj->fetch_assoc($query);
            
            $res.=' <tr onmouseover="this.style.backgroundColor=\'#89F2AC\';" onmouseout="this.style.backgroundColor=\'#BBE9EE\';">
            <td align="center" width="50"> <img id="elemento1"  class="confirmar" src="../imagenes/foto1.jpg" onClick="" height="20" width="20" alt="Eliminar" title="Eliminar">  </td>
            <td align="center" width="50"> <img id="elemento2"  class="confirmar" src="../imagenes/editar.jpg" onClick="editar_regnew(\''.$asignatura['codigo'].'\',\''.$grado.'\',\''.$curso.'\')" height="20" width="20" alt="Editar" title="Editar">  </td>
            ';
            
            
            $res.='<td>'.$asignatura['codigo'].'</td>
            <td>'.$asignatura['descripcion'].'</td>
            <td>'.$tasign[$index]['intensidad'].'</td>
            <td></td>            
            <td></td>
            </tr>';
              
          }
            
        }
        
        
//        
//        
        
        $res.='</table>';
    
        
    }else{
        
        
        $resultado=$obj->consulta("select * from curso_asignatura_profesor where grado='".$grado."' and curso='".$curso."' order by orden;");
    
        
       $res= '<table border="0" cellspacing="0" cellpadding="0" class="hovertable" width="100%">
        <tr>
        <th colspan="2"></th>
        <th width="90">CODIGO</th>
        <th>DESCRIPCI&Oacute;N</th>
        <th width="90">I_H</th>
        <th width="90">NOTA</th>        
        <th width="90">DESEMPE&Ntilde;O</th>
        </tr>';
        
        while ($row = $obj->fetch_assoc($resultado)) {
            
            
            $query=$obj->consulta("select * from catalogo where codigo='".$row['asignatura']."' order by orden;");
            $asignatura = $obj->fetch_assoc($query);
            
            $res.=' <tr onmouseover="this.style.backgroundColor=\'#89F2AC\';" onmouseout="this.style.backgroundColor=\'#BBE9EE\';">
            <td align="center" width="50"> <img id="elemento1"  class="confirmar" src="../imagenes/foto1.jpg" onClick="" height="20" width="20" alt="Eliminar" title="Eliminar">  </td>
            <td align="center" width="50"> <img id="elemento2"  class="confirmar" src="../imagenes/editar.jpg" onClick="editar_regnew(\''.$asignatura['codigo'].'\',\''.$grado.'\',\''.$curso.'\')" height="20" width="20" alt="Editar" title="Editar">  </td>
            ';
            
            
            $res.='<td>'.$asignatura['codigo'].'</td>
            <td>'.$asignatura['descripcion'].'</td>
            <td>'.$row['intensidad'].'</td>
            <td></td>            
            <td></td>
            </tr>';
        }
        
        $res.='</table>';
    }
    
    echo $res;
    $obj->disconnect();
}


//------------------------------------------------

if ($_POST['accion']=='editar'){
    
    
    
    $codigo=$_POST['codigo'];
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
     
    
    $resultado=$obj->consulta("select * from promovidos where registro='".$codigo."';");
    $informacion = $obj->fetch_assoc($resultado);
 
    
     $res=$obj->consulta("select * from catalogo where codigo='".$informacion['asignatura']."' order by orden;");
     $asignatura = $obj->fetch_assoc($res);

     echo '<BR><br><table border="0" cellspacing="2" cellpadding="0" >

        <tr>
            <td>
            <b>ASIGNATURA</b>&nbsp;
            </td>
            <td>
            <input style="font-weight:bold;text-align:center;"  readonly="readonly"  type="text" id="asig_id1" size="1" value="'.$informacion['asignatura'].'">
            <input style="font-weight:bold;text-align:center;background-color: #dfdcdc" type="text" id="asig_id2" size="25" readonly="readonly" value="'.$asignatura['descripcion'].'">
            </td>
            <td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
            <td>
                <b>INTENSIDAD_H</b>&nbsp;
            </td>
            <td>
                <input style="font-weight:bold;text-align:center;" type="text" id="int" size="15" value="'.$informacion['intensidad'].'" readonly="readonly"  >
            
            </td>
            
            <td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
            <td>
                <b>NOTA<b>&nbsp;
            </td>
            <td>
                <input style="font-weight:bold;text-align:center;" type="text" onclick="mostrar_nota(\'nota\',490,185);" size="10" id="nota" value="'.$informacion['definitiva'].'" >
            
            </td>
            
            <td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
            
             <td>
                <b>DESEMPE&Ntilde;O<b>&nbsp;
            </td>
            <td>
                <input style="font-weight:bold;text-align:center;" type="text" readonly="readonly" size="10" id="dsp" value="'.$informacion['valor_asigna'].'" >
            
            </td>
        </tr>
        <tr>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td colspan="11" align="center">
            <input type="button" value=" Grabar " onclick="Actualizar('.$codigo.')">
                &nbsp;
            <input type="button" value=" Cancelar " onclick="limpiar_inser()">
            </td>
        </tr>

        </table>';
       
    $obj->disconnect();
    
}

//------------------------------------------------

if ($_POST['accion']=='editar_new'){   
    
    
    $asig=$_POST['asig'];
    $grado=$_POST['grado'];
    $curso=$_POST['cruso'];
    
    
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
     
    
    $resultado=$obj->consulta("select * from curso_asignatura_profesor where asignatura='".$asig."' and grado='".$grado."' and curso='".$curso."';");
    $informacion = $obj->fetch_assoc($resultado);
 
    
     $res=$obj->consulta("select * from catalogo where codigo='".$informacion['asignatura']."' order by orden;");
     $asignatura = $obj->fetch_assoc($res);

     echo '<BR><br><table border="0" cellspacing="2" cellpadding="0" >

        <tr>
            <td>
            <b>ASIGNATURA</b>&nbsp;
            </td>
            <td>
            <input style="font-weight:bold;text-align:center;" onblur="al_salir_asignatura(\'asig_id1\',\'asig_id2\',\'catalogo\');" readonly="readonly"  type="text" id="asig_id1" size="1" value="'.$informacion['asignatura'].'">
            <input style="font-weight:bold;text-align:center;background-color: #dfdcdc" type="text" id="asig_id2" size="25" readonly="readonly" value="'.$asignatura['descripcion'].'">
            </td>
            <td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
            <td>
                <b>INTENSIDAD_H</b>&nbsp;
            </td>
            <td>
                <input style="font-weight:bold;text-align:center;" type="text" id="int" size="15" value="'.$informacion['intensidad'].'" readonly="readonly"  >
            
            </td>
            
            <td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
            <td>
                <b>NOTA<b>&nbsp;
            </td>
            <td>
                <input style="font-weight:bold;text-align:center;" type="text" onclick="mostrar_nota(\'nota\',480,185);" size="10" id="nota"  >
            
            </td>
            
            <td>&nbsp;&nbsp;&nbsp;&nbsp;</td>
            
             <td>
                <b>DESEMPE&Ntilde;O<b>&nbsp;
            </td>
            <td>
                <input style="font-weight:bold;text-align:center;" type="text" readonly="readonly" size="10" id="dsp"  >
            
            </td>
        </tr>
        <tr>
            <td>&nbsp;</td>
        </tr>
        <tr>
            <td colspan="11" align="center">
            <input type="button" value=" Grabar " onclick="Guardar()">
                &nbsp;
            <input type="button" value=" Cancelar " onclick="limpiar_inser()">
            </td>
        </tr>

        </table>';
       
    $obj->disconnect();
    
}

//------------------------------------------------

if ($_POST['accion']=='nota'){
 
    echo (calculardef($_POST['nota']));

}




//------------------------------------

if ($_POST['accion']=='borrar'){

    $obj = new database();

    $codigo=$_POST['codigo'];
    $obj->conectar(); $obj->consulta("set names 'utf8'");   
    
    $resultado=$obj->consulta("delete from promovidos where registro='".$codigo."'");  
    
    $n=$obj->numero_de_filas($resultado);

    if ($n!=0){
       echo "No se Puede Eliminar el Registro";
    }
    else{
       echo "Registro Eliminado";
       
    }

    $obj->disconnect();
    
}

//------------------------------------

if ($_POST['accion']=='actualizar_info'){

    $codigo=$_POST['codigo'];    
    $asignatura=$_POST['asignatura'];
    $i_h=$_POST['i_h'];
    $nota=$_POST['nota'];
    
   // echo $codigo."      ".$asignatura."     ".$i_h."    ".$nota;
    
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $query=$obj->consulta("update promovidos set asignatura='".$asignatura."', intensidad='".$i_h."', definitiva='".$nota."', valor_asigna='".calculardef($nota)."' where registro='".$codigo."';");
    $obj->disconnect();
    

    if($query){
          echo "Registro Actualizado";
       }

}


//------------------------------------

if ($_POST['accion']=='guardar_info'){
    
    $cod=$_POST['cod'];
    $per=$_POST['per'];     
    $sede=$_POST['sede'];
    $grado=$_POST['grado'];
    $curso=$_POST['curso'];
    $dsem=$_POST['dsem'];

    $asignatura=$_POST['asignatura'];
    $i_h=$_POST['i_h'];
    $nota=$_POST['nota'];
    
   // echo $codigo."      ".$asignatura."     ".$i_h."    ".$nota;
    
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $query=$obj->consulta("insert into promovidos (registro,periodo,alumno,grado,curso,asignatura,intensidad,definitiva,valor_asigna,fecha) 
        values('','".$per."','".$cod."','".$grado."','".$curso."','".$asignatura."', '".$i_h."', '".$nota."', '".($dsem)."','".date('Y-m-d')."') ;");
 
    $obj->disconnect();
    
    if($query){
          echo "Registro Actualizado";
       }

}

?>